org.apache.commons.net.io

## Class CRLFLineReader

- java.lang.Object
- - java.io.Reader
  - - java.io.BufferedReader
    - - org.apache.commons.net.io.CRLFLineReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Readable

      public final class CRLFLineReader
      extends BufferedReader

  CRLFLineReader implements a readLine() method that requires exactly CRLF to terminate an input line. This is required for IMAP, which allows bare CR and LF.
  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLFLineReader(Reader reader)` Creates a CRLFLineReader that wraps an existing Reader input source.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `readLine()` Read a line of text.

    - ### Methods inherited from class java.io.BufferedReader

      `close, lines, mark, markSupported, read, read, ready, reset, skip`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLFLineReader

          public CRLFLineReader(Reader reader)

      Creates a CRLFLineReader that wraps an existing Reader input source.
      Parameters:
        `reader` - The Reader input source.

  - ### Method Detail

    - #### readLine

          public String readLine()
                          throws IOException

      Read a line of text. A line is considered to be terminated by carriage return followed immediately by a linefeed. This contrasts with BufferedReader which also allows other combinations.
      Overrides:
        `readLine` in class `BufferedReader`
      Throws:
        `IOException`
      Since:
        3.0

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.